import request from '@/utils/request'

// 查询地房申请-村组公示列表
export function listAnnounce(query) {
  return request({
    url: '/house/announce/list',
    method: 'get',
    params: query
  })
}

// 查询地房申请-村组公示详细
export function getAnnounce(id) {
  return request({
    url: '/house/announce/get/' + id,
    method: 'get'
  })
}

// 新增地房申请-村组公示
export function addAnnounce(data) {
  return request({
    url: '/house/announce/add',
    method: 'post',
    data: data
  })
}

// 修改地房申请-村组公示
export function updateAnnounce(data) {
  return request({
    url: '/house/announce/edit',
    method: 'post',
    data: data
  })
}

// 删除地房申请-村组公示
export function delAnnounce(id) {
  return request({
    url: '/house/announce/remove/' + id,
    method: 'get'
  })
}

// 导出地房申请-村组公示
export function exportAnnounce(query) {
  return request({
    url: '/house/announce/export',
    method: 'get',
    params: query
  })
}

// 查询地房申请-申请人详细
export function getProposer(id) {
  return request({
    url: '/house/proposer/get/' + id,
    method: 'get'
  })
}
